Encrypt API for Sending OTP to Email

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Send OTP to Email API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": 2080,
  "clientTxnId": "MobileOTsVdz65wadKe3RG124",
  "requestDateTime": "20220428160040",
  "email": "99999900000",
  "productId": 1,
  "otp_generation_type": "0"
}
'
Sample response
{
  "token": "nhIOIj99bOLq3qAN7ncX3KXyg40cGOryjC9nPccCwilQ3RxU0LevSQ/O8GV8M0hrvJbH5UznlRT+fwtorTvTae4dsBnAt8CHItGUWGKHfwzuUglZguNIJ41CSMXiRBwZRg3NkjFuO+bpld5nuK85z5kDQz01xW8gPpWoq6U2Bv9nJG/QApF0PAJmWTMoj/GSJUG5H0dtP3QVaGXpJ1XOTyq+BW3HqTjWeDgP/B7+TFY="
}

Request parameters

Body Params
const
enum
required

This parameter must include the API Unique Identifier. Here, it is 2080 for this API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must contain the customer email.

string

This parameter must contain any of the following OTP type: Optional 0 – Send Fresh OTP, or 1 – Retry OTP

integer
required

This parameter must contain the unique program or product ID where the customer will be enrolled.

boolean
Defaults to false

This parameter must contain the flag to verify email. By default, the value is false. If the value is true, customer validation before sms will be skipped

Headers
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json